Provides a set of UI controls for Qt Quick.

Qt Quick Controls provides a set of controls that can be used to build complete
interfaces in Qt Quick. The module was introduced in Qt 5.7.

    .. image:: images/qtquickcontrols-styles.png

Qt Quick Controls comes with a selection customizable styles. See
:ref:`Styling Qt Quick Controls<Styling-Qt-Quick-Controls>` for more details.

    .. _QtQuickControls2_using-the-module:

Using the Module
^^^^^^^^^^^^^^^^

To include the definitions of modules classes, use the following
directive:

::

    import PySide6.QtQuickControls2

Versions
^^^^^^^^

Qt Quick Controls 2.0 was introduced in Qt 5.7. Subsequent minor Qt releases
increment the import version of the Qt Quick Controls modules by one, until Qt
5.12, where the import versions match Qt's minor version.

In Qt 6, both the major and minor versions match, and version numbers may be
omitted from imports in QML. If the version is omitted, the latest version will
be used.

Topics
^^^^^^

    * `Getting Started <https://doc.qt.io/qt-6/qtquickcontrols2-gettingstarted.html>`_
    * `Guidelines <https://doc.qt.io/qt-6/qtquickcontrols2-guidelines.html>`_
    * `Styling <https://doc.qt.io/qt-6/qtquickcontrols2-styles.html>`_
    * `Icons <https://doc.qt.io/qt-6/qtquickcontrols2-icons.html>`_
    * `Customization <https://doc.qt.io/qt-6/qtquickcontrols2-customize.html>`_
    * `Using File Selectors <https://doc.qt.io/qt-6/qtquickcontrols2-fileselectors.html>`_
    * `Deployment <https://doc.qt.io/qt-6/qtquickcontrols2-deployment.html>`_
    * `Configuration File <https://doc.qt.io/qt-6/qtquickcontrols2-configuration.html>`_
    * `Environment Variables <https://doc.qt.io/qt-6/qtquickcontrols2-environment.html>`_
